#!/bin/bash

BASEDIR=$(dirname $0)

# bind local first
# due to after install the account system may be bound to ad/ldap
/var/packages/Contacts/target/tool/contacts-db --bind --type local

BINS=`find $BASEDIR -regex ".*contacts-test-.*"`
echo -e "\033[1;33m[ Run Test ]\033[m"
for test in $BINS
do
	$test || exit 1;
done
